Passer au contenu

Update organization webhook

Requête

Replaces a specific organization webhook. Only the EnvelopeCompleted event is supported.

Sécurité
Bearer or PersonalAccessToken
Chemin
organizationIdstring, (uuid)obligatoire

Unique identifier of the organization

webhookIdstring, (uuid)obligatoire

Unique identifier of the webhook

Corpsapplication/jsonobligatoire
urlstringobligatoire

The URL receiving the webhook calls (max 2048 characters).

Exemple:"https://example.com/hooks/organization-new"
eventstring(WebhookEventType)obligatoire

Events a webhook can be configured for. Envelope webhooks support every event, organization webhooks only EnvelopeCompleted.

Enum:"EnvelopeSent""EnvelopeCompleted""EnvelopeCanceled""EnvelopeRestarted""EnvelopeDeleted""RecipientCompleted""RecipientRejected""RecipientDelegated"
authenticationobject(WebhookAuthenticationRequest)

Authentication settings for the webhook endpoint.

PUT
/api/v1/organizations/{organizationId}/webhooks/{webhookId}
curl -i -X PUT \
  '/api/v1/organizations/{organizationId}/webhooks/{webhookId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "url": "https://example.com/hooks/organization-new",
    "event": "EnvelopeCompleted",
    "authentication": {
      "headers": {
        "Authorization": "Bearer token_123"
      }
    }
  }'

Réponses

No Content

Réponse
Aucun contenu